import { StrictMode } from 'react'
import { createRoot } from 'react-dom/client'
import '@/index.css'
import { createHashRouter, RouterProvider } from 'react-router-dom'
import {Index as HomepageIndex} from '@/pages/homepage'
import {Helmet} from "react-helmet"
import Login from '@/pages/auth/login'

const router = createHashRouter([
  {
    path: "/" ,
    element: <HomepageIndex />
  },
  {
    path: "/login",
    element: <Login />
  }
])

createRoot(document.getElementById('root')!).render(
  <StrictMode>
    <Helmet>
      <link rel="preconnect" href="https://fonts.googleapis.com" />
      <link rel="preconnect" href="https://fonts.gstatic.com" crossOrigin='' />
      <link href="https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap" rel="stylesheet" />
    </Helmet>
    <RouterProvider router={router} />
  </StrictMode>,
)
